﻿@model @EnergyMission.Domain.Entities.SetResourcePriceEntity
@{
    ViewBag.Title = "Index";
}
<link href="~/Content/super-admin.css" rel="stylesheet" />
<link href="~/Content/CustomScreen3.css" rel="stylesheet" />
@section Scripts{
<script type="text/javascript">


    $(document).ready(function () {

        var value = "@ViewBag.msg";

        if (value == "") {

            $("#errorssms").hide();

        }
        else {
            $("#errorssms").show();

        }
    });


    function isNumber(evt) {
        evt = (evt) ? evt : window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57) && charCode != 46) {
            return false;
        }
        return true;
    }
</script>
<script type="text/javascript">
    $(function () {

        $('#testDivNested').slimscroll({
            height: '590px'
        }).parent().css({
            'float': 'left'
        });

    });
</script>
}






@using (Html.BeginForm("CreatSetPricce", "SetResourcePrice", FormMethod.Post))
{

    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    <div class="second-menu">
        <h3>Set Resource Prices</h3>
       
    </div>

        <div class="examples">
            <div id="testDivNested">
                <div class="gray_bg">
                    <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
                    <!-- Start White Inner -->
                    <div class="white_inner white_inner-resource-price">
                        <div id="testDiv1">
                            <div class="row-resource-price row-elecricity">
                                <div class="left">
                                    <label class="name">$ Value for Electricity per kWh</label>
                                    @Html.TextBoxFor(model => model.Elec, new { @onkeypress = "return isNumber(event)", placeholder = "$0.00" })
                                    @Html.ValidationMessageFor(model => model.Elec)
                                    <div class="clearfix"></div>
                                </div>
                                <div class="right">
                                    <label class="name">kg Value of CO2 per kWh</label>
                                    @Html.TextBoxFor(model => model.ElecCO, new { @class = "red", @onkeypress = "return isNumber(event)", placeholder = "0.00kg" })
                                    @Html.ValidationMessageFor(model => model.Elec)

                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <div class="row-resource-price row-gas">
                                <div class="left">
                                    <label class="name">$ Value for Gas per gJ</label>
                                    @Html.TextBoxFor(model => model.Gas, new { @onkeypress = "return isNumber(event)", placeholder = "$0.00" })
                                    @Html.ValidationMessageFor(model => model.Gas)
                                    <div class="clearfix"></div>
                                </div>
                                <div class="right">
                                    <label class="name">kg Value of CO2 per gJ</label>
                                    @Html.TextBoxFor(model => model.GasCo, new { @onkeypress = "return isNumber(event)", placeholder = "0.00kg" })
                                    @Html.ValidationMessageFor(model => model.GasCo)
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <div class="row-resource-price row-water">
                                <div class="left">
                                    <label class="name">$ Value for Water per L</label>
                                    @Html.TextBoxFor(model => model.Water, new { @onkeypress = "return isNumber(event)", placeholder = "$0.00" })
                                    @Html.ValidationMessageFor(model => model.Water)

                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            </div>
                        </div>
                    <!-- End White Inner -->
                    <!-- Start Bottom Details -->
                    <div class="SetResourcePrice">
                        <div class="bottom delete">
                            <div class="fullWidth">
                                <input class="save button" name="button" type="submit" value="Save Changes" />
                                <input class="done button restore" name="button" type="submit" value="Restore Current Values" />
                              
                               
                            </div>
                        </div>
                </div>
                    <!-- End Bottom Details -->
                </div>
            </div>
        </div>

}

